Bug 12543 - Add userid as matchpoint for "Import patrons" tool
Summary: Add userid as matchpoint for "Import patrons" tool
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 1861
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-08 14:25 UTC by Kyle M Hall
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12543 - Add userid as matchpoint for "Import patrons" tool (2.66 KB, patch)
2014-07-08 14:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12543 - Add userid as matchpoint for "Import patrons" tool (2.76 KB, patch)
2014-10-27 15:48 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 12543 - Add userid as matchpoint for "Import patrons" tool (2.83 KB, patch)
2015-01-15 14:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-07-08 14:25:28 UTC
The a patron's userid should be a matchpoint in the same manner as cardnumber. Though not enforced as a unique key by the database yet ( pending bug 1861 ), this field is effectively unique as uniqueness is enforced by Koha itself.
Comment 1 Kyle M Hall 2014-07-08 14:34:45 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2014-10-27 15:48:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-10-28 07:07:08 UTC
There is a dependency on bug 1861 for this - Kyle, could you take a look please?
Comment 4 Jonathan Druart 2015-01-15 14:14:43 UTC
Created attachment 35307 [details] [review]
Bug 12543 - Add userid as matchpoint for "Import patrons" tool

The a patron's userid should be a matchpoint in the same manner as
cardnumber. Though not enforced as a unique key by the database yet
( pending bug 1861 ), this field is effectively unique as uniqueness
is enforced by Koha itself.

Test Plan:
1) Apply this patch
2) Browse to tools/import_borrowers.pl
3) Download the starter CSV file
4) Edit the csv file to include 1 or more patrons
   * Make sure to leave the borrowernumber field empty
   * Make sure the userid field matches the patrons you wish to overwrite
5) From import_borrowers.pl, upload your file
   * Set "Field to use for record matching" to "Username"
   * Set "If matching record is already in the borrowers table" to "Overwrite the existing one with this"
6) Click "Import"
7) Verify the patrons in your file have been updated in Koha

Signed-off-by: Frederic Demians <f.demians@tamil.fr>

Do exactly what's announced. This may help.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Tomás Cohen Arazi 2015-02-09 16:50:22 UTC
Patch pushed to master.

Thanks Kyle!